SwiftXCTestExecutable (Gradle API 8.11)

Package org.gradle.nativeplatform.test.xctest

## Interface SwiftXCTestExecutable

- All Superinterfaces:
    `ComponentWithDependencies`, `ComponentWithExecutable`, `ComponentWithInstallation`, `ComponentWithNativeRuntime`, `ComponentWithObjectFiles`, `Named`, `SoftwareComponent`, `SwiftBinary`, `SwiftXCTestBinary`, `TestComponent`

      public interface SwiftXCTestExecutable
      extends SwiftXCTestBinary, ComponentWithExecutable, ComponentWithInstallation

  An XCTest executable for tests implemented in Swift.
  Since:
    4.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.language.ComponentWithDependencies

      `getDependencies`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithExecutable

      `getExecutableFile, getExecutableFileProducer, getLinkLibraries, getLinkTask`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithInstallation

      `getInstallDirectory, getInstallTask, getRuntimeLibraries`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithNativeRuntime

      `getBaseName, getTargetMachine, getToolChain, isDebuggable, isOptimized`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.ComponentWithObjectFiles

      `getObjects`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

      `getCompileModules, getCompileTask, getLinkLibraries, getModule, getModuleFile, getRuntimeLibraries, getSwiftSource, getTargetPlatform, isTestable`

    - ### Methods inherited from interface org.gradle.nativeplatform.test.xctest.SwiftXCTestBinary

      `getExecutableFile, getInstallDirectory, getLinkTask, getRunScriptFile, getRunTask`